{ lib, config, pkgs, ... }:

with lib;

let
  cfg = config.roles.desktop;
in
{
  config = mkIf (cfg.enable && cfg.wayland) {
    programs.sway = {
      enable = true;
      wrapperFeatures.gtk = true;
    };
    environment.systemPackages = with pkgs; [
      brightnessctl
      grim
      slurp
      wl-clipboard
      mako
    ];
  };
}
